Package Details: python2-pymc-git 20131228-1

Git Clone URL: https://aur.archlinux.org/python2-pymc-git.git (read-only)
Package Base: python2-pymc-git
Description: Markov chain Monte Carlo for Python
Upstream URL: https://github.com/pymc-devs/pymc
Licenses: MIT
Conflicts: python2-pymc
Submitter: xia0er
Maintainer: xia0er
Last Packager: xia0er
Votes: 2
Popularity: 0.000000
First Submitted: 2012-03-31 20:58
Last Updated: 2015-06-29 00:48

Latest Comments

petecan commented on 2013-12-28 09:55

the theano dependency should be >=0.6.0rc3 (or bump it to 0.6.0)

xia0er commented on 2013-10-23 21:48

OK, updated and tested working for me. Thanks, @gh02t.

The dependencies shown in this page are pulled from the package_python-pymc() section of PKGBUILD, instead of the default package() section, because AUR doesn't support multiple package PKGBUILD.

gh02t commented on 2013-10-23 16:54

The author has switched the main Git branch to the new version (PyMC3). The requirements are now different. For me, I had to install these guys, but there may be more.

python2-numpy (**package should be python2-numpy, not python-numpy!**)
python2-theano
python2-patsy
python2-statsmodels

Also, Scikits is an optional dep. I think.

It builds fine without these, but you can't actually use the module without them loaded.

python2-statsmodels also depends on python2-pandas, which is broken right now (at least for me). python2-pandas-git builds fine, however.

mschu commented on 2013-04-24 12:03

I can't import the module:

ImportError: /usr/lib/python2.7/site-packages/pymc/flib.so: cannot dynamically load executable